diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java b/pki/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
index d619afcc26075f9f692509a1bc4afc61de6063c1..1c10db8fbbab20392cd9e3c9ef003af008963e1d 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/ComCrypto.java
@@ -18,11 +18,7 @@ package com.netscape.pkisilent.common;
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-import java.io.BufferedReader;
 import java.io.ByteArrayInputStream;
-import java.io.InputStream;
-import java.net.URL;
-import java.net.URLConnection;
 import java.security.KeyPair;
 
 import netscape.security.x509.X500Name;
@@ -492,13 +488,6 @@ public class ComCrypto {
     }
 
     public String generateCRMFrequest() {
-        URL url = null;
-        URLConnection conn = null;
-        InputStream is = null;
-        BufferedReader reader = null;
-        boolean success = false;
-        int num = 1;
-        long total_time = 0;
         KeyPair pair = null;
 
         System.out.println("Debug : initialize crypto Manager");
@@ -622,9 +611,6 @@ public class ComCrypto {
 
     public String generateCRMFtransport() {
 
-        boolean success = false;
-        int num = 1;
-        long total_time = 0;
         KeyPair pair = null;
 
         try {
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/Request.java b/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
index 9ee7000136cbb4668717870a263cd77b889d7860..0f0827d67ceeebeb467a4a60a9829d67a3daed16 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
@@ -349,7 +349,6 @@ public class Request extends TestClient {
         String AUTHID = "header.authorityid = ";
         String seqnum = "record.seqNum";
 
-        int size = s.capacity();
         String res = s.toString();
         int ret = 0;
 
@@ -635,7 +634,6 @@ public class Request extends TestClient {
             StringBuffer s = new StringBuffer();
 
             s = con.getPage();
-            String line;
 
             if (debug) {
                 System.out.println(s.toString());
@@ -967,7 +965,6 @@ public class Request extends TestClient {
         seqNumFrom = x.intValue();
 
         Integer y = new Integer(To);
-        int t = y.intValue();
 
         if ((y.intValue() - seqNumFrom) > 50) {
             maxCount = 50;
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/checkRequest.java b/pki/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
index 99a6e084907f12232dedb313e7d2971758212b21..c4599ffde62f5a70c556b28faefdf8a5400d6dc1 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/checkRequest.java
@@ -257,7 +257,6 @@ public class checkRequest extends TestClient {
                 FileOutputStream fos = new FileOutputStream(certfile);
 
                 if (ldapformat.equals("true")) {
-                    Integer m = new Integer("1");
                     String tmp = "description: 2;"
                             + Integer.parseInt(serialNumber, 16) + ";" + issuer
                             + ";" + subject + "\n";
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index c2ac547e69e629fb1526cf435572847327eb69da..98b8a0bd1d795ab6f2d2a32f32c69e59be9cabbb 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -328,11 +328,7 @@ public class CryptoUtil {
      * formats a cert request
      */
     public static String reqFormat(String content) {
-        int beginIndex = CERTREQ_BEGIN_HEADING.length();
-        int endIndex = CERTREQ_END_HEADING.length();
-
         String result = CERTREQ_BEGIN_HEADING + "\n";
-        int index = 0;
 
         while (content.length() >= LINE_COUNT) {
             result = result + content.substring(0, LINE_COUNT) + "\n";
@@ -392,11 +388,7 @@ public class CryptoUtil {
         if (content == null || content.length() == 0) {
             return "";
         }
-        int beginIndex = CERT_BEGIN_HEADING.length();
-        int endIndex = CERT_END_HEADING.length();
-
         String result = CERT_BEGIN_HEADING + "\n";
-        int index = 0;
 
         while (content.length() >= LINE_COUNT) {
             result = result + content.substring(0, LINE_COUNT) + "\n";
@@ -997,14 +989,14 @@ public class CryptoUtil {
 
         while (enums.hasMoreElements()) {
             CryptoToken token = (CryptoToken) enums.nextElement();
-            String tokenName = token.getName();
 
             CryptoStore store = token.getCryptoStore();
             org.mozilla.jss.crypto.X509Certificate list[] = store.getCertificates();
 
             for (int i = 0; i < list.length; i++) {
                 try {
-                    PrivateKey key = cm.findPrivKeyByCert(list[i]);
+                    @SuppressWarnings("unused")
+                    PrivateKey key = cm.findPrivKeyByCert(list[i]); // check for errors
                     X509CertImpl impl = null;
 
                     try {
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
index 2ad67578fd093db3aaf4eca0f1673eeea636ae4f..438c70c2333b8652996a3a27aab64e86aac33ae5 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
@@ -198,9 +198,6 @@ public class HttpClient {
         //System.out.println(content);
 
         if (args.length >= 4 && args[3].equalsIgnoreCase("keep-alive")) {
-            int len;
-            char[] msgbody;
-
             for (int i = 0; i < 2; i++) {
                 if (i == 1)
                     req.setHeader("Connection", "Close");
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
index d0bef4b2a2b7371824d03d4e748bf40f4f62df71..c2013a5d2503e5fbdeb9f5dd9e4afd99d5e49b11 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
@@ -23,7 +23,6 @@ import java.net.SocketException;
 import java.net.UnknownHostException;
 
 import org.mozilla.jss.CryptoManager;
-import org.mozilla.jss.crypto.X509Certificate;
 import org.mozilla.jss.ssl.SSLCertificateApprovalCallback;
 import org.mozilla.jss.ssl.SSLClientCertificateSelectionCallback;
 import org.mozilla.jss.ssl.SSLHandshakeCompletedEvent;
diff --git a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
index a5dd108ae37b04026af64ffb4a912f18c5d6ddd5..03bc68723c28d879f9f679778308a5954241462b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
+++ b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
@@ -241,7 +241,6 @@ public class CRSPKIMessage {
     // getHashAlgorithm is added to work around issue 636217
     private String getHashAlgorithm(OBJECT_IDENTIFIER algorithmOID) {
         String hashAlgorithm = null;
-        OBJECT_IDENTIFIER oid = MD5_DIGEST;
         if (algorithmOID != null) {
             if (algorithmOID.equals(MD5_DIGEST)) {
                 hashAlgorithm = "MD5";
diff --git a/pki/base/util/src/com/netscape/cmsutil/util/Utils.java b/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
index 07916fb6af0ce0ce17ba4523b834bd571b3c8edc..06892fd84c756917aa961e0ac4817d2c5a8fb496 100644
--- a/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
+++ b/pki/base/util/src/com/netscape/cmsutil/util/Utils.java
@@ -60,8 +60,6 @@ public class Utils {
             }
             Process process = Runtime.getRuntime().exec(cmds);
             process.waitFor();
-            BufferedReader pOut = null;
-            String l = null;
 
             if (process.exitValue() == 0) {
                 /**
diff --git a/pki/base/util/src/netscape/security/acl/OwnerImpl.java b/pki/base/util/src/netscape/security/acl/OwnerImpl.java
index 2e96cfaaa2313f591e6f443163a5bb44c7e7fc42..3f47a1dd8a0e8e0ed4709e206c383a3b89de0db4 100644
--- a/pki/base/util/src/netscape/security/acl/OwnerImpl.java
+++ b/pki/base/util/src/netscape/security/acl/OwnerImpl.java
@@ -85,7 +85,7 @@ public class OwnerImpl implements Owner {
         //
         // check if there is atleast 2 members left.
         //
-        Object o = e.nextElement();
+        e.nextElement(); // consume next element
         if (e.hasMoreElements())
             return ownerGroup.removeMember(owner);
         else
diff --git a/pki/base/util/src/netscape/security/pkcs/PKCS10.java b/pki/base/util/src/netscape/security/pkcs/PKCS10.java
index b8c0aedc4bb647c5a814d4c64da55bd69ba9e16a..cb0e6edf44fe131c99dd1709fdb22a85e4dbdf7d 100644
--- a/pki/base/util/src/netscape/security/pkcs/PKCS10.java
+++ b/pki/base/util/src/netscape/security/pkcs/PKCS10.java
@@ -141,10 +141,9 @@ public class PKCS10 {
         //
         // Inner sequence:  version, name, key, attributes
         //
-        BigInt serial;
-        DerValue val;
+        @SuppressWarnings("unused")
+        BigInt serial = seq[0].data.getInteger(); // consume serial
 
-        serial = seq[0].data.getInteger();
         /*
         	if (serial.toInt () != 0)
         	    throw new IllegalArgumentException ("not PKCS #10 v1");
@@ -156,8 +155,6 @@ public class PKCS10 {
         subjectPublicKeyInfo = X509Key.parse(new DerValue(val1));
         PublicKey publicKey = X509Key.parsePublicKey(new DerValue(val1));
 
-        String keystr = subjectPublicKeyInfo.toString();
-
         // Cope with a somewhat common illegal PKCS #10 format
         if (seq[0].data.available() != 0)
             attributeSet = new PKCS10Attributes(seq[0].data);
diff --git a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
index 6fc89610a1366f9e11e059565d383e159d07c7e2..7c5f64582166256fb808ad3e08fd642322c9549a 100644
--- a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
+++ b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
@@ -31,7 +31,6 @@ import java.security.Provider;
 import java.security.Security;
 import java.security.spec.InvalidKeySpecException;
 import java.security.spec.PKCS8EncodedKeySpec;
-import java.util.Properties;
 
 import netscape.security.util.BigInt;
 import netscape.security.util.DerOutputStream;
@@ -171,8 +170,6 @@ public class PKCS8Key implements PrivateKey {
          */
         String classname = "";
         try {
-            Properties props;
-            String keytype;
             Provider sunProvider;
 
             sunProvider = Security.getProvider("SUN");
diff --git a/pki/base/util/src/netscape/security/provider/SHA.java b/pki/base/util/src/netscape/security/provider/SHA.java
index 5aed992648f1c71b6442a59e294589d41ee3739b..42a6b8b90776bdd4b2633298ad36342ed9748115 100644
--- a/pki/base/util/src/netscape/security/provider/SHA.java
+++ b/pki/base/util/src/netscape/security/provider/SHA.java
@@ -112,7 +112,6 @@ public class SHA extends MessageDigestSpi implements Cloneable {
      */
     public void engineUpdate(byte b[], int off, int len) {
         int word;
-        int offset;
 
         if ((off < 0) || (len < 0) || (off + len > b.length))
             throw new ArrayIndexOutOfBoundsException();
@@ -179,7 +178,7 @@ public class SHA extends MessageDigestSpi implements Cloneable {
         byte hashvalue[] = new byte[SHA_LENGTH];
 
         try {
-            int outLen = engineDigest(hashvalue, 0, hashvalue.length);
+            engineDigest(hashvalue, 0, hashvalue.length);
         } catch (DigestException e) {
             throw new InternalError("");
         }
diff --git a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
index fc7e837ce9d5b30e131fe0d315cf81c5d01c7783..d5f5100bf406ba93a0d06e1a57bb55855724265d 100644
--- a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
+++ b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
@@ -196,7 +196,9 @@ public class IssuingDistributionPointExtension extends Extension
                                 try {
                                     BitArray reasons = opt.getUnalignedBitString();
                                     issuingDistributionPoint.setOnlySomeReasons(reasons);
-                                    byte[] a = reasons.toByteArray();
+
+                                    @SuppressWarnings("unused")
+                                    byte[] a = reasons.toByteArray(); // check for errors
                                 } catch (IOException e) {
                                     throw new IOException("Invalid encoding of IssuingDistributionPoint " + e);
                                 }
diff --git a/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java b/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
index 52ff67017e7661e4a8e966e10234d1c48a5a30eb..1245cc6bddd55332f6289fc2f9da3b39a483f6ee 100644
--- a/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
+++ b/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
@@ -108,8 +108,6 @@ public class LdapV3DNStrConverter extends LdapDNStrConverter {
             throws IOException {
         StringReader dn_reader = new StringReader(dn);
         PushbackReader in = new PushbackReader(dn_reader, 5);
-        Vector<RDN> rdnVector = new Vector<RDN>();
-        RDN[] names;
 
         return parseDN(in, encodingOrder);
     }
diff --git a/pki/base/util/src/netscape/security/x509/X509CertImpl.java b/pki/base/util/src/netscape/security/x509/X509CertImpl.java
index d2d77cb3a77f2ffda9da77c584c36862f430f6da..9c62b36a6c374b9caf8982b15e9153ac4c980053 100755
--- a/pki/base/util/src/netscape/security/x509/X509CertImpl.java
+++ b/pki/base/util/src/netscape/security/x509/X509CertImpl.java
@@ -1195,7 +1195,8 @@ public class X509CertImpl extends X509Certificate
          */
         protected Object readResolve() throws java.io.ObjectStreamException {
             try {
-                CertificateFactory cf = CertificateFactory.getInstance(type1);
+                @SuppressWarnings("unused")
+                CertificateFactory cf = CertificateFactory.getInstance(type1); // check for errors
                 return new X509CertImpl(data1);
 
                 /*
diff --git a/pki/base/util/src/netscape/security/x509/X509Key.java b/pki/base/util/src/netscape/security/x509/X509Key.java
index 546ce363e682414b22a4c5e79563528d53ba0328..a8253c0d8b887dc41c730007c9d60f3a169575dc 100644
--- a/pki/base/util/src/netscape/security/x509/X509Key.java
+++ b/pki/base/util/src/netscape/security/x509/X509Key.java
@@ -30,7 +30,6 @@ import java.security.PublicKey;
 import java.security.Security;
 import java.security.spec.InvalidKeySpecException;
 import java.security.spec.X509EncodedKeySpec;
-import java.util.Properties;
 
 import netscape.security.util.DerOutputStream;
 import netscape.security.util.DerValue;
@@ -185,8 +184,6 @@ public class X509Key implements PublicKey {
          */
         String classname = "";
         try {
-            Properties props;
-            String keytype;
             Provider sunProvider;
 
             sunProvider = Security.getProvider("SUN");
-- 
1.7.7.4

